#-------------------------------------------------------------------------------------------
#
#	Program:	CPlusTESample 2.0
#	File:		TESample.make
#
#	by Andrew Shebanow
#	of Apple Macintosh Developer Technical Support
#
#	Copyright  1989-1990 Apple Computer, Inc.
#	All rights reserved.
#
#-------------------------------------------------------------------------------------------


# turn off SADE symbols
SymOpts = -sym off

#	C++ options
CPlusOptions = {SymOpts} -d MPW32 -mbg off

#	Libraries to link with
MPWCLibs = 
		"{Libraries}"Runtime.o 
		"{CLibraries}"CPlusLib.o 
		"{CLibraries}"StdCLib.o 
		"{Libraries}"Interface.o
#-------------------------------------------------------------------------------------------

AppLibObjs =	
	Application.cp.o 
	Document.cp.o 
	List.cp.o

AppLibSrcs =	
	Application.cp 
	Document.cp 
	List.cp

AppLibHdrs =	
	AppLib.h 
	Application.h 
	Document.h 
	List.h

Objs =	
	TEDocument.cp.o 
	TESample.cp.o 
	TESampleGlue.a.o

Srcs =	
	TEDocument.cp 
	TESample.cp 
	TESampleGlue.a

Hdrs =	
	TECommon.h 
	TEDocument.h 
	TESample.h

FailLibObjs = 
	UMAFailure.p.o 
	UMAFailure.a.o 
	Exceptions.cp.o

FailLibSrcs = 
	UMAFailure.p 
	UMAFailure.inc1.p 
	UMAFailure.a 
	Exceptions.cp

FailLibHdrs = 
	UMAFailure.h 
	Exceptions.h

TESample  AppLib.o Failure.o {Objs}
	Link -mf -w -o {Targ} {SymOpts} 
		{Objs} 
		AppLib.o 
		Failure.o 
		{MPWCLibs}
	SetFile {Targ} -t APPL -c 'MOOT' -a B

TESample  TESample.r TECommon.h
	Rez -append -o {Targ} TESample.r -i "{RIncludes}"

TESample  AppLib.r AppLib.h
	Rez -append -o {Targ} AppLib.r -i "{RIncludes}"

# if ANY headers change, recompile all of our shapesapp sources
{Objs}  {Hdrs} {AppLibHdrs} {FailLibHdrs}

# if AppLib headers change, recompile AppLib Objects
{AppLibObjs}  {AppLibHdrs} {FailLibHdrs}

AppLib.o  {AppLibObjs}
	Lib -d -o {Targ} {SymOpts} {AppLibObjs}

Failure.o  {FailLibObjs}
	Lib -d {FailLibObjs} -o Failure.o

UMAFailure.p.o  UMAFailure.p UMAFailure.inc1.p

ProgStrucMacs.d  "{MPW}Interfaces:AStructMacs:"ProgStrucMacs.a
	Asm "{MPW}Interfaces:AStructMacs:"ProgStrucMacs.a

FlowCtlMacs.d  "{MPW}Interfaces:AStructMacs:"FlowCtlMacs.a
	Asm "{MPW}Interfaces:AStructMacs:"FlowCtlMacs.a

UMAFailure.a.o  UMAFailure.a ProgStrucMacs.d FlowCtlMacs.d
	Asm {depDir}UMAFailure.a -o {targDir}UMAFailure.a.o {AOptions}
